<?php

declare(strict_types=1);

namespace App\Business\DataImport\Handlers;

use App\Business\DataImport\Enums\DataImportType;
use App\Models\DberpSupplierCategory;

final class SupplierCategoryImportHandler extends AbstractPartnerCategoryImportHandler
{
    public function importType(): DataImportType
    {
        return DataImportType::SupplierCategory;
    }

    protected function categoryModelClass(): string
    {
        return DberpSupplierCategory::class;
    }
}
